#!/usr/bin/env bash
##~---------------------------------------------------------------------------##
##                        _      _                 _   _                      ##
##                    ___| |_ __| |_ __ ___   __ _| |_| |_                    ##
##                   / __| __/ _` | '_ ` _ \ / _` | __| __|                   ##
##                   \__ \ || (_| | | | | | | (_| | |_| |_                    ##
##                   |___/\__\__,_|_| |_| |_|\__,_|\__|\__|                   ##
##                                                                            ##
##  File      : do_update_pip.sh                                              ##
##  Project   : my_computer_tidy_and_clean                                    ##
##  Date      : Feb 24, 2020                                                  ##
##  License   : GPLv3                                                         ##
##  Author    : stdmatt <stdmatt@pixelwizards.io>                             ##
##  Copyright : stdmatt 2020                                                  ##
##                                                                            ##
##  Description :                                                             ##
##                                                                            ##
##---------------------------------------------------------------------------~##

##----------------------------------------------------------------------------##
## Imports                                                                    ##
##----------------------------------------------------------------------------##
source /usr/local/src/stdmatt/shellscript_utils/main.sh


##----------------------------------------------------------------------------##
## Variables                                                                  ##
##----------------------------------------------------------------------------##
SCRIPT_DIR="$(pw_get_script_dir)";


##----------------------------------------------------------------------------##
## Functions                                                                  ##
##----------------------------------------------------------------------------##
##------------------------------------------------------------------------------
install_packages()
{
    while IFS= read PACKAGE; do
        if [ -z "$PACKAGE" ]; then
            continue;
        fi;
        echo "Installing pip package: ($PACKAGE)";
        pw_as_super_user pip3 install "$PACKAGE";
    done < "${SCRIPT_DIR}/pip_packages/packages.txt";
}

##------------------------------------------------------------------------------
ensure_pip()
{
    local PIP3="$(pw_get_program_path "pip3")";
    test -n "$PIP3" && return;

    curl https://bootstrap.pypa.io/get-pip.py | sudo python3;
    sudo python3 -m pip install --upgrade pip
}


##----------------------------------------------------------------------------##
## Script                                                                     ##
##----------------------------------------------------------------------------##
ensure_pip;
install_packages;
